<?php
namespace App\Http\Controllers;

use Illuminate\Support\Facades\DB;

class DashboardController extends Controller
{
    public function index()
    {
        $count = count(DB::table('sales')
                ->select(DB::raw('bill_no'))
                ->whereDate('date', date('Y-m-d'))
                ->groupBy('bill_no')
                ->get());

        $saleAmount = DB::table('sales')
            ->select(DB::raw('sum(total) as total'))
            ->whereDate('date', date('Y-m-d'))
            ->value('total');

        $monthlySale = DB::table('sales')
            ->select(DB::raw('sum(total) as total'))
            ->whereBetween('date', [date('Y-m-01'), date('Y-m-t')])
            ->first()
            ->total;

        $monthlySaleProfit = ($monthlySale * 22) / 100;

        return view('dashboard.home', compact('count', 'saleAmount', 'monthlySale', 'monthlySaleProfit'));
    }

    public function getMonthlySale()
    {
        $dailySales = DB::table('sales')
            ->select(DB::raw('DATE(date) as sale_date'), DB::raw('SUM(total) as total_sales'))
            ->groupBy('sale_date')
            ->orderBy('sale_date', 'asc')
            ->get();
// dd($dailySales);

            return response()->json($dailySales);
    }
}
