<?php
namespace App\Http\Controllers;

use Illuminate\Http\Request;
use Illuminate\Support\Facades\DB;

class ReportController extends Controller
{
    public function revenue()
    {
        $result    = false;
        $from_date = date('d-m-Y');
        $to_date   = date('d-m-Y');
        return (view('report.revenue', compact('result', 'from_date', 'to_date')));
    }

    public function revenueReport(Request $request)
    {
        $validated = $request->validate([
            'from_date' => 'required',
            'to_date'   => 'required',
        ]);
        $from_date = $request->from_date;
        $to_date   = $request->to_date;
        $result    = true;

        $expense = DB::table('expense')->select('*')->whereBetween('date', [date('Y-m-d', strtotime($request->from_date)), date('Y-m-d', strtotime($request->to_date))])->orderBy('created_at', 'desc')->get();

        $income = DB::table('income')->select('*')->whereBetween('date', [date('Y-m-d', strtotime($request->from_date)), date('Y-m-d', strtotime($request->to_date))])->orderBy('created_at', 'desc')->get();

        return (view('report.revenue', compact('result', 'from_date', 'to_date', 'expense', 'income')));

    }
    public function dailyReport(Request $request)
    {

        $date   = date('Y-m-d');
        $result = DB::table('sales')->select('sales.quantity', 'sales.price', 'sales.total', 'sales.bill_no', 'sales.date', 'sales.loose', 'medicines.name', 'medicines.code', 'categories.category_name', 'medicines.quantity as qty')->join('medicines', 'medicines.id', '=', 'sales.medicine_id')->join('categories', 'categories.id', '=', 'medicines.category_id')->where('date', $date)->orderBy('bill_no', 'desc')->get();

        return (view('report.daily', compact('result')));

    }

    public function stockValueReport(Request $request)
    {

        $result = DB::table('medicines')->select('medicines.name', 'medicines.code', 'medicines.price', 'medicines.quantity', 'medicines.stock', 'categories.category_name')->join('categories', 'categories.id', '=', 'medicines.category_id')->get();

        return (view('report.stockValue', compact('result')));

    }
}
