<?php
namespace App\Http\Controllers;

use App\Models\Category;
use App\Models\Income;
use App\Models\Medicine;
use App\Models\Sale;
use Illuminate\Http\Request;
use Illuminate\Support\Facades\DB;

class SaleController extends Controller
{
    public function index()
    {
        $category  = Category::all();
        $medicines = Medicine::all();
        return (view('sale.index', compact('category', 'medicines')));
    }

    public function personalSale()
    {
        $category  = Category::all();
        $medicines = Medicine::all();
        return (view('sale.personalSale', compact('category', 'medicines')));
    }

    public function store(Request $request)
    {

        $category_id = $request->category_id;
        $medicine_id = $request->medicine_id;
        $price       = $request->price;
        $quantity    = $request->quantity;
        $loose       = $request->loose;
        $total       = $request->total;
        $value       = $request->value; // quantity in one pack
        $date        = date('Y-m-d', strtotime($request->date));
        $bill_no     = $request->bill_no;
        $totalAmount = 0;
        foreach ($category_id as $index => $row) {

            if ($loose[$index] == "true") {
                $quantityValue = $quantity[$index];
            } else if ($loose[$index] == "false") {
                $quantityValue = $quantity[$index] * $value[$index];
            }
            $data = [
                'category_id' => $category_id[$index],
                'medicine_id' => $medicine_id[$index],
                'price'       => $price[$index],
                'quantity'    => $quantity[$index],
                'total'       => $total[$index],
                'loose'       => $loose[$index],
                'date'        => $date,
                'bill_no'     => $bill_no,
                'sale_type'   => "Sale",
            ];
            $totalAmount += $total[$index];

            Sale::create($data);
            DB::table('medicines')
                ->where('id', $medicine_id[$index])
                ->update(['stock' => DB::raw('stock - ' . $quantityValue)]);

        }
        $income = ['date' => $date,
            'amount'          => $totalAmount,
            'type'            => "Sale",
            'description'     => "Bill number " . $bill_no,
        ];
        Income::create($income);
        return redirect('sale')->with('success', "Sale Recorded Successfully");

    }
    public function personalSaleStore(Request $request)
    {

        $category_id = $request->category_id;
        $medicine_id = $request->medicine_id;
        $price       = $request->price;
        $quantity    = $request->quantity;
        $loose       = $request->loose;
        $total       = $request->total;
        $value       = $request->value; // quantity in one pack
        $date        = date('Y-m-d', strtotime($request->date));
        $bill_no     = $request->bill_no;
        $totalAmount = 0;
        foreach ($category_id as $index => $row) {

            if ($loose[$index] == "true") {
                $quantityValue = $quantity[$index];
            } else if ($loose[$index] == "false") {
                $quantityValue = $quantity[$index] * $value[$index];
            }
            $data = [
                'category_id' => $category_id[$index],
                'medicine_id' => $medicine_id[$index],
                'price'       => $price[$index],
                'quantity'    => $quantity[$index],
                'total'       => $total[$index],
                'loose'       => $loose[$index],
                'date'        => $date,
                'bill_no'     => $bill_no,
                'sale_type'   => "Personal",
            ];
            $totalAmount += $total[$index];

            Sale::create($data);
            DB::table('medicines')
                ->where('id', $medicine_id[$index])
                ->update(['stock' => DB::raw('stock - ' . $quantityValue)]);

        }

        return redirect('sale')->with('success', "Sale Recorded Successfully");

    }

    public function saleReport()
    {
        $result    = false;
        $from_date = date('d-m-Y');
        $to_date   = date('d-m-Y');
        return (view('sale.report', compact('result', 'from_date', 'to_date')));
    }

    public function saleSearchReport(Request $request)
    {
        $validated = $request->validate([
            'from_date' => 'required',
            'to_date'   => 'required',
        ]);
        $from_date = $request->from_date;
        $to_date   = $request->to_date;
        $result    = DB::table('sales')->select('sales.quantity', 'sales.price', 'sales.total', 'sales.bill_no', 'sales.date', 'sales.sale_type', 'sales.loose', 'medicines.name', 'medicines.code', 'categories.category_name', 'medicines.quantity as qty')->join('medicines', 'medicines.id', '=', 'sales.medicine_id')->join('categories', 'categories.id', '=', 'medicines.category_id')->whereBetween('date', [date('Y-m-d', strtotime($request->from_date)), date('Y-m-d', strtotime($request->to_date))])->orderBy('bill_no', 'desc')->get();
        return (view('sale.report', compact('result', 'from_date', 'to_date')));

    }
}
