<?php
namespace App\Http\Controllers;

use App\Models\Category;
use App\Models\Medicine;
use Illuminate\Http\Request;
use Illuminate\Support\Facades\DB;

class StockController extends Controller
{

    public function index()
    {
        $category    = Category::all();
        $medicines   = Medicine::all();
        $category_id = "";
        $medicine_id = "";
        $result      = false;
        return (view('stock.index', compact('category', 'medicines', 'category_id', 'medicine_id', 'result')));
    }

    public function stockReport(Request $request)
    {
        $category_id = $request->category_id;
        $medicine_id = $request->medicine_id;

        $validated = $request->validate([
            'category_id' => 'required',
        ]);

        $category  = Category::all();
        $medicines = Medicine::all();

        $query = DB::table('medicines')
            ->select('medicines.name', 'medicines.price', 'medicines.quantity', 'medicines.stock', 'medicines.alert', 'medicines.code', 'categories.category_name')
            ->join('categories', 'categories.id', '=', 'medicines.category_id')
            ->where('medicines.category_id', $category_id);

        if ($medicine_id) {
            $query->where('medicines.id', $medicine_id);
        }

        $result = $query->get();

        return view('stock.index', compact('category', 'medicines', 'category_id', 'medicine_id', 'result'));
    }

    public function alertReport()
    {
        $category    = Category::all();
        $medicines   = Medicine::all();
        $category_id = "";
        $medicine_id = "";
        $result      = false;
        return (view('stock.alert', compact('category', 'medicines', 'category_id', 'medicine_id', 'result')));
    }

   public function alertReportResult(Request $request)
{
    $category_id = $request->category_id;
    $medicine_id = $request->medicine_id;

    $validated = $request->validate([
        'category_id' => 'required',
    ]);

    $category  = Category::all();
    $medicines = Medicine::all();

    $query = DB::table('medicines')
        ->select('medicines.name', 'medicines.price', 'medicines.quantity', 'medicines.stock', 'medicines.alert', 'medicines.code', 'categories.category_name')
        ->join('categories', 'categories.id', '=', 'medicines.category_id')
        ->where('medicines.category_id', $category_id);

    if ($medicine_id) {
        $query->where('medicines.id', $medicine_id);
    }

    $query->whereRaw('stock / quantity < alert');

    $result = $query->get();

    return view('stock.alert', compact('category', 'medicines', 'category_id', 'medicine_id', 'result'));
}


}
