@extends('app')

@section('body')
    @php
        $path = 'home';
    @endphp
    <div class="page-inner">
        <div class="d-flex align-items-left align-items-md-center flex-column flex-md-row pt-2 pb-4">
            <div>
                <h3 class="fw-bold mb-3">Dashboard</h3>
            </div>
            
        </div>
        <div class="row">
            <div class="col-sm-6 col-md-3">
                <div class="card card-stats card-round">
                    <div class="card-body">
                        <div class="row align-items-center">
                            <div class="col-icon">
                                <div class="icon-big text-center icon-primary bubble-shadow-small">
                                    <i class="fas fa-users"></i>
                                </div>
                            </div>
                            <div class="col col-stats ms-3 ms-sm-0">
                                <div class="numbers">
                                    <p class="card-category">Visitors</p>
                                    <h4 class="card-title">{{ $count }}</h4>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
            <div class="col-sm-6 col-md-3">
                <div class="card card-stats card-round">
                    <div class="card-body">
                        <div class="row align-items-center">
                            <div class="col-icon">
                                <div class="icon-big text-center icon-info bubble-shadow-small">
                                    <i class="fas fa-dollar-sign"></i>
                                </div>
                            </div>
                            <div class="col col-stats ms-3 ms-sm-0">
                                <div class="numbers">
                                    <p class="card-category">Daily Sale</p>
                                    <h4 class="card-title">{{ $saleAmount }}</h4>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
            <div class="col-sm-6 col-md-3">
                <div class="card card-stats card-round">
                    <div class="card-body">
                        <div class="row align-items-center">
                            <div class="col-icon">
                                <div class="icon-big text-center icon-success bubble-shadow-small">
                                    <i class="fas fa-luggage-cart"></i>
                                </div>
                            </div>
                            <div class="col col-stats ms-3 ms-sm-0">
                                <div class="numbers">
                                    <p class="card-category">Monthly Sales Amount</p>
                                    <h4 class="card-title">{{ $monthlySale }}</h4>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
            <div class="col-sm-6 col-md-3">
                <div class="card card-stats card-round">
                    <div class="card-body">
                        <div class="row align-items-center">
                            <div class="col-icon">
                                <div class="icon-big text-center icon-secondary bubble-shadow-small">
                                    <i class="far fa-check-circle"></i>
                                </div>
                            </div>
                            <div class="col col-stats ms-3 ms-sm-0">
                                <div class="numbers">
                                    <p class="card-category">Monthly Sale Profit</p>
                                    <h4 class="card-title">{{ $monthlySaleProfit }}</h4>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
        <div class="row">
            <div class="col-md-12">
                <div class="card card-round">
                    <div class="card-header">
                        <div class="card-head-row">
                            <div class="card-title">{{ date('F') }} Sales</div>
                            
                        </div>
                    </div>
                    <div class="card-body">
                        <div class="chart-container">
                            <canvas id="linechart"></canvas>
                        </div>
                    </div>
                </div>
            </div>
            
        </div>
        
    </div>
    <script src="https://cdn.jsdelivr.net/npm/chart.js"></script>
    <script script src="{{ asset('assets/js/core/jquery-3.7.1.min.js') }}"></script>


    <script>
        var ctx = document.getElementById('linechart').getContext('2d');

        var dates = [];
        var amount = [];

        $(document).ready(function() {
            $.ajax({
                type: "GET",
                url: "{{ route('monthly.sale') }}", // Replace with your API endpoint
                contentType: "application/json; charset=utf-8",
                dataType: "json",
                success: function(response) {
                    // Process the response data
                    $.each(response, function(key, val) {
                        const date = new Date(val.sale_date);
                        dates.push(date.getDate()); // Extract the day of the month
                        amount.push(val.total_sales); // Add total sales to the amount array
                    });

                    // Create the chart after the data is processed
                    createLineChart();
                }
            });
        });

        function createLineChart() {
            var linechart = new Chart(ctx, {
                type: 'line',
                data: {
                    labels: dates,
                    datasets: [{
                        label: "Sales",
                        borderColor: 'rgba(82, 162, 243, 0.6)',
                        pointBackgroundColor: 'rgba(82, 162, 243, 0.6)',
                        pointRadius: 0,
                        backgroundColor: 'rgba(82, 162, 243, 0.6)',
                        legendColor: '#f3545d',
                        fill: true,
                        borderWidth: 2,
                        data: amount
                    }]
                },
                options: {
                    responsive: true,
                    maintainAspectRatio: false,
                    legend: {
                        position: "bottom",
                        labels: {
                            padding: 10,
                            fontColor: "#1d7af3",
                        },
                    },
                    tooltips: {
                        bodySpacing: 4,
                        mode: "nearest",
                        intersect: 0,
                        position: "nearest",
                        xPadding: 10,
                        yPadding: 10,
                        caretPadding: 10,
                    },
                    layout: {
                        padding: {
                            left: 15,
                            right: 15,
                            top: 15,
                            bottom: 15
                        },
                    },
                },
            });
        }
    </script>
@endsection
