@extends('app')

@section('body')
    @php
        $path = 'medicine-category';
    @endphp
    <div class="page-inner">
        <div class="page-inner">
            <div class="page-header">
                <h3 class="fw-bold mb-3">Medicine Category</h3>
                <ul class="breadcrumbs mb-3">
                    <li class="nav-home">
                        <a href="#">
                            <i class="icon-home"></i>
                        </a>
                    </li>
                    <li class="separator">
                        <i class="icon-arrow-right"></i>
                    </li>
                    <li class="nav-item">
                        <a href="#">Medicine Category</a>
                    </li>

                </ul>
            </div>
            <div class="row">
                <div class="col-md-12">
                    <div class="card">
                        <div class="card-header row align-items-center">
                            <div class="col">
                                <h4 class="card-title mb-0">Category List</h4>
                            </div>
                            <div class="col-auto text-end">
                                <a href="{{ route('category.create') }}" class="btn btn-primary">Add</a>
                            </div>
                        </div>

                        <div class="card-body">
                            <div class="table-responsive">
                                <table id="basic-datatables" class="display table table-striped table-hover">
                                    <thead>
                                        <tr>
                                            <th>Category Name</th>
                                            <th>Unit</th>
                                            <th>Action</th>
                                        </tr>
                                    </thead>
                                    <tfoot>
                                        <tr>
                                            <th>Category Name</th>
                                            <th>Unit</th>
                                            <th>Action</th>
                                        </tr>
                                    </tfoot>
                                    <tbody>
                                        @foreach ($category as $row)
                                            <tr>
                                                <td>{{ $row->category_name }}</td>
                                                <td>{{ $row->unit }}</td>
                                                <td><a href='{{ url('category-edit/' . $row->id) }}'
                                                        class="btn btn-sm btn-info"><i class="fas fa-pen"></i></a>
                                                    <a href='{{ url('category-delete/' . $row->id) }}'
                                                        class="btn btn-sm btn-danger"><i class="fas fa-trash"></i></a>
                                                </td>
                                            </tr>
                                        @endforeach
                                    </tbody>
                                </table>
                            </div>
                        </div>
                    </div>
                </div>

            </div>
        </div>
    </div>
@endsection
