@extends('app')

@section('body')
    @php
        $path = 'medicine-category';
    @endphp
    <div class="page-inner">
        <div class="page-header">
            <h3 class="fw-bold mb-3">Medicine Category</h3>
            <ul class="breadcrumbs mb-3">
                <li class="nav-home">
                    <a href="{{ route('dashboard') }}">
                        <i class="icon-home"></i>
                    </a>
                </li>
                <li class="separator">
                    <i class="icon-arrow-right"></i>
                </li>
                <li class="nav-item">
                    <a href="{{ route('category') }}">Medicine Category</a>
                </li>
                <li class="separator">
                    <i class="icon-arrow-right"></i>
                </li>
                <li class="nav-item">
                    <a href="{{ route('category.create') }}">Create</a>
                </li>
            </ul>
        </div>
        <div class="row">
            <div class="col-md-12">
                <div class="card">
                    <div class="card-header">
                        <div class="card-title">Add Medicine Category</div>
                    </div>
                    <div class="card-body">
                        <form action="{{ route('category.store') }}" method="post">
                            @csrf
                            <div class="row">
                                <div class="col-md-12 col-lg-6">
                                    <div class="form-group">
                                        <label for="category_name">Category</label>
                                        <input type="text" class="form-control" id="category_name"
                                            placeholder="Enter Category" name="category_name" />
                                        @error('category_name')
                                            <div class="" style="color:red">{{ $message }}</div>
                                        @enderror
                                    </div>
                                </div>
                                <div class="col-md-12 col-lg-6  ">

                                    <div class="form-group">
                                        <label for="unit">Units</label>
                                        <select class="form-select form-control" id="unit" name='unit'>
                                            <option value="">select</option>
                                            <option value="ml">MilliLiter (ml)</option>
                                            <option value="gram">Grams (gram)</option>
                                            <option value="nos">Number (nos)</option>
                                        </select>
                                        @error('category_name')
                                            <div class="" style="color:red">{{ $message }}</div>
                                        @enderror
                                    </div>
                                </div>

                                <div class="row align-items-center text-left">
                                    <div class="">
                                        <button class="btn btn-success" type="submit">Submit</button>
                                    </div>
                                </div>
                            </div>
                        </form>
                    </div>
                </div>
            </div>
        </div>
    </div>
@endsection
