@extends('app')

@section('body')
    @php
        $path = 'medicine';
    @endphp
    <div class="page-inner">
        <div class="page-header">
            <h3 class="fw-bold mb-3">Medicine</h3>
            <ul class="breadcrumbs mb-3">
                <li class="nav-home">
                    <a href="{{ route('dashboard') }}">
                        <i class="icon-home"></i>
                    </a>
                </li>
                <li class="separator">
                    <i class="icon-arrow-right"></i>
                </li>
                <li class="nav-item">
                    <a href="{{ route('medicine') }}">Medicine</a>
                </li>
                <li class="separator">
                    <i class="icon-arrow-right"></i>
                </li>
                <li class="nav-item">
                    <a href="{{ url('medicine-edit/' . $medicine['id']) }}">Edit</a>
                </li>
            </ul>
        </div>
        <div class="row">
            <div class="col-md-12">
                <div class="card">
                    <div class="card-header">
                        <div class="card-title">Edit Medicine</div>
                    </div>
                    <div class="card-body">
                        <form action="{{ url('medicine-update/' . $medicine['id']) }}" method="post">
                            @csrf
                            <div class="row">
                                <div class="col-md-12 col-lg-6">
                                    <div class="form-group">
                                        <label for="category_id">Category</label>
                                        <select class="form-control" name="category_id">
                                            <option value="">Select</option>
                                            @foreach ($category as $cat)
                                                <option value="{{ $cat['id'] }}"
                                                    {{ $cat['id'] == $medicine['category_id'] ? 'selected' : '' }}>
                                                    {{ $cat['category_name'] }}</option>
                                            @endforeach
                                        </select>
                                        @error('category_id')
                                            <div class="" style="color:red">{{ $message }}</div>
                                        @enderror
                                    </div>
                                </div>
                                <div class="col-md-12 col-lg-6  ">

                                    <div class="form-group">
                                        <label for="unit">Name</label>
                                        <input type="text" class="form-control" id="name" name="name"
                                            value="{{ $medicine['name'] }}" />
                                        @error('name')
                                            <div class="" style="color:red">{{ $message }}</div>
                                        @enderror
                                    </div>
                                </div><div class="col-md-12 col-lg-6  ">

                                    <div class="form-group">
                                        <label for="unit">Medicine Code</label>
                                        <input type="text" class="form-control" id="code"
                                            placeholder="Enter medicine code" name="code"  value="{{ $medicine['code'] }}"/>
                                        @error('code')
                                            <div class="" style="color:red">{{ $message }}</div>
                                        @enderror
                                    </div>
                                </div>
                                <div class="col-md-12 col-lg-6  ">

                                    <div class="form-group">
                                        <label for="unit">Price</label>
                                        <input type="text" class="form-control" id="price" name="price"
                                            value="{{ $medicine['price'] }}" />
                                        @error('price')
                                            <div class="" style="color:red">{{ $message }}</div>
                                        @enderror
                                    </div>
                                </div>
                                <div class="col-md-12 col-lg-6  ">

                                    <div class="form-group">
                                        <label for="unit">Quantity</label>
                                        <input type="text" class="form-control" id="quantity" name="quantity"
                                            value="{{ $medicine['quantity'] }}" />
                                        @error('quantity')
                                            <div class="" style="color:red">{{ $message }}</div>
                                        @enderror
                                    </div>
                                </div>
                                <div class="col-md-12 col-lg-6  ">

                                    <div class="form-group">
                                        <label for="unit">Stock</label>
                                        <input type="text" class="form-control" id="stock" name="stock"
                                            value="{{ $medicine['stock'] }}" />
                                        @error('stock')
                                            <div class="" style="color:red">{{ $message }}</div>
                                        @enderror
                                    </div>
                                </div>
                                <div class="col-md-12 col-lg-6  ">

                                    <div class="form-group">
                                        <label for="unit">Stock Alert</label>
                                        <input type="text" class="form-control" id="alert" name="alert"
                                            value="{{ $medicine['alert'] }}" />
                                        @error('alert')
                                            <div class="" style="color:red">{{ $message }}</div>
                                        @enderror
                                    </div>
                                </div>

                                <div class="row align-items-center text-left">
                                    <div class="">
                                        <button class="btn btn-success" type="submit">Submit</button>
                                    </div>
                                </div>
                            </div>
                        </form>
                    </div>
                </div>
            </div>
        </div>
    </div>
@endsection
