@extends('app')

@section('body')
    @php
        $path = 'add_expense';
    @endphp
    <div class="page-inner">
        <div class="page-header">
            <h3 class="fw-bold mb-3">Add Expense</h3>
            <ul class="breadcrumbs mb-3">
                <li class="nav-home">
                    <a href="{{ route('dashboard') }}">
                        <i class="icon-home"></i>
                    </a>
                </li>
                <li class="separator">
                    <i class="icon-arrow-right"></i>
                </li>
                <li class="nav-item">
                    <a href="{{ route('add.expense') }}">Expense</a>
                </li>

            </ul>
        </div>
        <div class="row">
            <div class="col-md-12">
                <div class="card">
                    <div class="card-header">
                        <div class="card-title">Add Expense</div>
                    </div>
                    <div class="card-body">
                        <form action="{{ route('expense.store') }}" method="post">
                            @csrf
                            <div class="row">

                                <div class="col-md-12 col-lg-6  ">

                                    <div class="form-group">
                                        <label for="unit">Date</label>
                                        <input type="text" class="form-control datepicker" id="datepicker" name="date"
                                            value="{{ date('d-m-Y') }}" />
                                        @error('date')
                                            <div class="" style="color:red">{{ $message }}</div>
                                        @enderror
                                    </div>
                                </div>
                                <div class="col-md-12 col-lg-6  ">

                                    <div class="form-group">
                                        <label for="unit">Expense</label>
                                        <input type="text" class="form-control" id="type" name="type" />
                                        @error('type')
                                            <div class="" style="color:red">{{ $message }}</div>
                                        @enderror
                                    </div>
                                </div>
                                <div class="col-md-12 col-lg-6  ">

                                    <div class="form-group">
                                        <label for="unit">Amount</label>
                                        <input type="text" class="form-control" id="amount" name="amount" />
                                        @error('amount')
                                            <div class="" style="color:red">{{ $message }}</div>
                                        @enderror
                                    </div>
                                </div>
                                <div class="col-md-12 col-lg-6  ">

                                    <div class="form-group">
                                        <label for="unit">Description</label>
                                        <textarea class="form-control" name="description">

                                        </textarea>

                                    </div>
                                </div>


                                <div class="row align-items-center text-left">
                                    <div class="">
                                        <button class="btn btn-success" type="submit">Add Expense</button>
                                    </div>
                                </div>
                            </div>
                        </form>
                    </div>
                </div>
            </div>
        </div>
    </div>
@endsection
