@extends('app')

@section('body')
    @php
        $path = 'purchase';
    @endphp
    <div class="page-inner">
        <div class="page-header">
            <h3 class="fw-bold mb-3">Purchase</h3>
            <ul class="breadcrumbs mb-3">
                <li class="nav-home">
                    <a href="{{ route('dashboard') }}">
                        <i class="icon-home"></i>
                    </a>
                </li>
                <li class="separator">
                    <i class="icon-arrow-right"></i>
                </li>
                <li class="nav-item">
                    <a href="{{ route('purchase') }}">Purchase</a>
                </li>

            </ul>
        </div>
        <div class="row">
            <div class="col-md-12">
                <div class="card">
                    <div class="card-header">
                        <div class="card-title">Add Purchase</div>
                    </div>
                    <div class="card-body">
                        <form action="{{ route('purchase.store') }}" method="post">
                            @csrf
                            <div class="row">
                                <div class="col-md-12 col-lg-6">
                                    <div class="form-group">
                                        <label for="category_id">Category</label>
                                        <select class="form-control" name="category_id" id="category_id">
                                            <option value="">Select</option>
                                            @foreach ($category as $cat)
                                                <option value="{{ $cat['id'] }}">{{ $cat['category_name'] }}</option>
                                            @endforeach
                                        </select>
                                        @error('category_id')
                                            <div class="" style="color:red">{{ $message }}</div>
                                        @enderror
                                    </div>
                                </div>
                                <div class="col-md-12 col-lg-6  ">

                                    <div class="form-group">
                                        <label for="unit">Name</label>
                                        <select class="form-control seach-select" name="medicine_id" id="medicine_id">
                                            <option value="">Select</option>
                                            @foreach ($medicines as $medicine)
                                                <option value="{{ $medicine['id'] }}">{{ $medicine['name'] }} -
                                                    {{ $medicine['code'] }}
                                                </option>
                                            @endforeach
                                        </select>
                                        @error('medicine_id')
                                            <div class="" style="color:red">{{ $message }}</div>
                                        @enderror
                                    </div>
                                </div>
                                <div class="col-md-12 col-lg-6  ">

                                    <div class="form-group">
                                        <label for="unit">Date</label>
                                        <input type="text" class="form-control datepicker" id="datepicker" name="date"
                                            value="{{ date('d-m-Y') }}" />
                                        @error('date')
                                            <div class="" style="color:red">{{ $message }}</div>
                                        @enderror
                                    </div>
                                </div>
                                <div class="col-md-12 col-lg-6  ">

                                    <div class="form-group">
                                        <label for="unit">Quantity</label>
                                        <input type="text" class="form-control" id="quantity" name="quantity" />
                                        @error('quantity')
                                            <div class="" style="color:red">{{ $message }}</div>
                                        @enderror
                                    </div>
                                </div>


                                <div class="row align-items-center text-left">
                                    <div class="">
                                        <button class="btn btn-success" type="submit">Add Stock</button>
                                    </div>
                                </div>
                            </div>
                        </form>
                    </div>
                </div>
            </div>
        </div>
    </div>
@endsection
