@extends('app')

@section('body')
    @php
        $path = 'purchase_medicine';
    @endphp
    <div class="page-inner">
        <div class="page-header">
            <h3 class="fw-bold mb-3">Medicine Report</h3>
            <ul class="breadcrumbs mb-3">
                <li class="nav-home">
                    <a href="{{ route('dashboard') }}">
                        <i class="icon-home"></i>
                    </a>
                </li>
                <li class="separator">
                    <i class="icon-arrow-right"></i>
                </li>
                <li class="nav-item">
                    <a href="{{ route('purchase') }}">Purchase</a>
                </li>

            </ul>
        </div>
        <div class="row">
            <div class="col-md-12">
                <div class="card">
                    <div class="card-header">
                        <div class="card-title">Purchase Medicine Report</div>
                    </div>
                    <div class="card-body">
                        <form action="{{ route('purchase.medicine.result') }}" method="post">
                            @csrf
                            <div class="row">
                                <div class="col-md-12 col-lg-6">
                                    <div class="form-group">
                                        <label for="category_id">Category</label></small class="text-danger">*</small>
                                        <select class="form-control" name="category_id" id="category_id">
                                            <option value="">Select</option>
                                            @foreach ($category as $cat)
                                                <option value="{{ $cat['id'] }}"
                                                    {{ old('category_id') == $cat['id'] || $category_id == $cat['id'] ? 'selected' : '' }}>
                                                    {{ $cat['category_name'] }}</option>
                                            @endforeach
                                        </select>
                                        @error('category_id')
                                            <div class="" style="color:red">{{ $message }}</div>
                                        @enderror
                                    </div>
                                </div>
                                <div class="col-md-12 col-lg-6  ">

                                    <div class="form-group">
                                        <label for="unit">Medicine</label><small class="text-danger">*</small>
                                        <select class="form-control seach-select" name="medicine_id" id="medicine_id">
                                            <option value="">Select</option>
                                            @foreach ($medicines as $medicine)
                                                <option value="{{ $medicine['id'] }}"
                                                    {{ old('medicine_id') == $medicine['id'] || $medicine_id == $medicine['id'] ? 'selected' : '' }}>
                                                    {{ $medicine['name'] }} -
                                                    {{ $medicine['code'] }}
                                                </option>
                                            @endforeach
                                        </select>
                                        @error('medicine_id')
                                            <div class="" style="color:red">{{ $message }}</div>
                                        @enderror
                                    </div>
                                </div>


                                <div class="row align-items-center text-left">
                                    <div class="">
                                        <button class="btn btn-success" type="submit">Search</button>
                                    </div>
                                </div>
                            </div>
                        </form>
                    </div>
                </div>
            </div>
            @if ($result)
                <div class="col-md-12">
                    <div class="card">
                        <div class="card-header row align-items-center">
                            <div class="col">
                                <h4 class="card-title mb-0">Purchase History</h4>
                            </div>
                        </div>

                        <div class="card-body">
                            <div class="table-responsive">
                                <table id="basic-datatables" class="display table table-striped table-hover">
                                    <thead>
                                        <tr>
                                            <th>#</th>
                                            <th>Code</th>
                                            <th>Name</th>
                                            <th>Category</th>
                                            <th>Date</th>
                                            <th>Quantity</th>
                                        </tr>
                                    </thead>
                                    <tfoot>
                                        <tr>
                                            <th>#</th>
                                            <th>Code</th>
                                            <th>Name</th>
                                            <th>Category</th>
                                            <th>Date</th>
                                            <th>Quantity</th>
                                        </tr>
                                    </tfoot>
                                    <tbody>
                                        @foreach ($result as $key => $row)
                                            <tr>
                                                <td>{{ ++$key }}</td>
                                                <td>{{ $row->code }}</td>
                                                <td>{{ $row->name }}</td>
                                                <td>{{ $row->category_name }}</td>
                                                <td>{{ $row->date }}</td>
                                                <td>{{ $row->qty }}</td>
                                            </tr>
                                        @endforeach
                                    </tbody>
                                </table>
                            </div>
                        </div>
                    </div>
                </div>
            @endif
        </div>
    </div>
@endsection
