@extends('app')

@section('body')
    @php
        $path = 'daily_report';
    @endphp
    <div class="page-inner">
        <div class="page-header">
            <h3 class="fw-bold mb-3">Daily Report</h3>
            <ul class="breadcrumbs mb-3">
                <li class="nav-home">
                    <a href="{{ route('dashboard') }}">
                        <i class="icon-home"></i>
                    </a>
                </li>
                <li class="separator">
                    <i class="icon-arrow-right"></i>
                </li>
                <li class="nav-item">
                    <a href="{{ route('daily.report') }}">Daily Report</a>
                </li>

            </ul>
        </div>
        <div class="row">
            <div class="col-md-12">

            </div>
            @if ($result)
                <div class="col-md-12">
                    <div class="card">
                        <div class="card-header row align-items-center">
                            <div class="col">
                                <h4 class="card-title mb-0">Today's sale</h4>
                            </div>
                        </div>
                        @php
                            $total = 0;
                        @endphp

                        <div class="card-body">
                            <div class="table-responsive">
                                <table id="basic-datatables" class="display table table-striped table-hover">
                                    <thead>
                                        <tr>
                                            <th>#</th>
                                            <th>Name</th>
                                            <th>Category</th>
                                            <th>Date</th>
                                            <th>Quantity</th>
                                            <th>Price</th>
                                            <th>Total</th>
                                        </tr>
                                    </thead>
                                    <tfoot>
                                        <tr>
                                            <th>#</th>
                                            <th>Name</th>
                                            <th>Category</th>
                                            <th>Date</th>
                                            <th>Quantity</th>
                                            <th>Price</th>
                                            <th>Total</th>
                                        </tr>
                                    </tfoot>
                                    <tbody>
                                        @foreach ($result as $key => $row)
                                            @php
                                                $total += $row->total;
                                            @endphp

                                            <tr>
                                                <td>{{ ++$key }}</td>
                                                <td>{{ $row->name . ' (' . $row->code . ')' }}</td>
                                                <td>{{ $row->category_name }}</td>
                                                <td>{{ date('d/m/Y', strtotime($row->date)) }}</td>
                                                <td>
                                                    {{ $row->loose == 'true' ? $row->quantity / $row->qty . '(Loose)' : $row->quantity }}
                                                </td>
                                                <td>{{ $row->price }}</td>
                                                <td>{{ $row->total }}</td>
                                            </tr>
                                        @endforeach
                                    </tbody>
                                </table>
                            </div>
                        </div>
                        <div class="card-header row align-items-center">
                            <div class="col">
                                <h4 class="card-title mb-0">Total Sale Amount:<span class="text-success">
                                        {{ $total }}<span></h4>
                            </div>
                        </div>

                    </div>
                </div>
            @endif
        </div>
    </div>
@endsection
