@extends('app')

@section('body')
    @php
        $path = 'revenue';
    @endphp
    <div class="page-inner">
        <div class="page-header">
            <h3 class="fw-bold mb-3">Revenue Report</h3>
            <ul class="breadcrumbs mb-3">
                <li class="nav-home">
                    <a href="{{ route('dashboard') }}">
                        <i class="icon-home"></i>
                    </a>
                </li>
                <li class="separator">
                    <i class="icon-arrow-right"></i>
                </li>
                <li class="nav-item">
                    <a href="{{ route('revenue') }}">Revenue</a>
                </li>

            </ul>
        </div>
        <div class="row">
            <div class="col-md-12">
                <div class="card">
                    <div class="card-header">
                        <div class="card-title">Revenue Report</div>
                    </div>
                    <div class="card-body">
                        <form action="{{ route('revenue.report') }}" method="post">
                            @csrf
                            <div class="row">
                                <div class="col-md-12 col-lg-6  ">

                                    <div class="form-group">
                                        <label for="unit">From Date</label><small class="text-danger">*</small>
                                        <input type="text" class="form-control datepicker" id="datepicker"
                                            name="from_date"
                                            value="{{ old('from_date') ? old('from_date') : $from_date }}" />
                                        @error('from_date')
                                            <div class="" style="color:red">{{ $message }}</div>
                                        @enderror
                                    </div>
                                </div>
                                <div class="col-md-12 col-lg-6  ">

                                    <div class="form-group">
                                        <label for="unit">To Date</label><small class="text-danger">*</small>
                                        <input type="text" class="form-control datepicker" id="datepicker" name="to_date"
                                            value="{{ old('to_date') ? old('to_date') : $to_date }}" />
                                        @error('to_date')
                                            <div class="" style="color:red">{{ $message }}</div>
                                        @enderror
                                    </div>
                                </div>


                                <div class="row align-items-center text-left">
                                    <div class="">
                                        <button class="btn btn-success" type="submit">Search</button>
                                    </div>
                                </div>
                            </div>
                        </form>
                    </div>
                </div>
            </div>
            @if ($result)
                <div class="col-md-12">
                    <div class="card">
                        <div class="card-header row align-items-center">
                            <div class="col">
                                <h4 class="card-title mb-0">Revenue History</h4>
                            </div>
                        </div>
                        @php
                            $total = 0;
                        @endphp

                        <div class="card-body">

                            <div class="table-responsive">

                                <h5 class="card-title mb-0 text-success">Income History</h5>

                                <table id="basic-datatables" class="display table table-striped table-hover">
                                    <thead>
                                        <tr>
                                            <th>#</th>
                                            <th>Date</th>
                                            <th>Income</th>
                                            <th>Amount</th>
                                            <th>Description</th>
                                        </tr>
                                    </thead>
                                    <tfoot>
                                        <tr>
                                            <th>#</th>
                                            <th>Date</th>
                                            <th>Income</th>
                                            <th>Amount</th>
                                            <th>Description</th>
                                        </tr>
                                    </tfoot>
                                    <tbody>
                                        @foreach ($income as $key => $row)
                                            @php
                                                $total += $row->amount;
                                            @endphp

                                            <tr>
                                                <td>{{ ++$key }}</td>
                                                <td>{{ date('d/m/Y', strtotime($row->date)) }}</td>
                                                <td>{{ $row->type }}</td>
                                                <td>{{ $row->amount }}</td>
                                                <td>{{ $row->description }}</td>
                                            </tr>
                                        @endforeach
                                    </tbody>
                                </table>


                            </div>
                            <div class="table-responsive">

                                <h5 class="card-title mb-0 text-danger">Expense History</h5>

                                <table id="basic-datatables" class="display table table-striped table-hover">
                                    <thead>
                                        <tr>
                                            <th>#</th>
                                            <th>Date</th>
                                            <th>Expense</th>
                                            <th>Amount</th>
                                            <th>Description</th>
                                        </tr>
                                    </thead>
                                    <tfoot>
                                        <tr>
                                            <th>#</th>
                                            <th>Date</th>
                                            <th>Expense</th>
                                            <th>Amount</th>
                                            <th>Description</th>
                                        </tr>
                                    </tfoot>
                                    <tbody>
                                        @foreach ($expense as $key => $row)
                                            @php
                                                $total -= $row->amount;
                                            @endphp

                                            <tr>
                                                <td>{{ ++$key }}</td>
                                                <td>{{ date('d/m/Y', strtotime($row->date)) }}</td>
                                                <td>{{ $row->type }}</td>
                                                <td>{{ $row->amount }}</td>
                                                <td>{{ $row->description }}</td>
                                            </tr>
                                        @endforeach
                                    </tbody>
                                </table>


                            </div>
                        </div>
                        <div class="card-header row align-items-center">
                            <div class="col">
                                <h4 class="card-title mb-0">Total Revenue for the period:<span
                                        class="{{ $total >= 0 ? 'text-success' : 'text-danger' }}">
                                        {{ $total }}<span></h4>
                            </div>
                        </div>

                    </div>
                </div>
            @endif
        </div>
    </div>
@endsection
