@extends('app')

@section('body')
    @php
        $path = 'sale_report';
    @endphp
    <div class="page-inner">
        <div class="page-header">
            <h3 class="fw-bold mb-3">Sale Report</h3>
            <ul class="breadcrumbs mb-3">
                <li class="nav-home">
                    <a href="{{ route('dashboard') }}">
                        <i class="icon-home"></i>
                    </a>
                </li>
                <li class="separator">
                    <i class="icon-arrow-right"></i>
                </li>
                <li class="nav-item">
                    <a href="{{ route('sale') }}">Sales</a>
                </li>

            </ul>
        </div>
        <div class="row">
            <div class="col-md-12">
                <div class="card">
                    <div class="card-header">
                        <div class="card-title">Purchase Report</div>
                    </div>
                    <div class="card-body">
                        <form action="{{ route('sale.search.report') }}" method="post">
                            @csrf
                            <div class="row">
                                <div class="col-md-12 col-lg-6  ">

                                    <div class="form-group">
                                        <label for="unit">From Date</label><small class="text-danger">*</small>
                                        <input type="text" class="form-control datepicker" id="datepicker"
                                            name="from_date"
                                            value="{{ old('from_date') ? old('from_date') : $from_date }}" />
                                        @error('from_date')
                                            <div class="" style="color:red">{{ $message }}</div>
                                        @enderror
                                    </div>
                                </div>
                                <div class="col-md-12 col-lg-6  ">

                                    <div class="form-group">
                                        <label for="unit">To Date</label><small class="text-danger">*</small>
                                        <input type="text" class="form-control datepicker" id="datepicker" name="to_date"
                                            value="{{ old('to_date') ? old('to_date') : $to_date }}" />
                                        @error('to_date')
                                            <div class="" style="color:red">{{ $message }}</div>
                                        @enderror
                                    </div>
                                </div>


                                <div class="row align-items-center text-left">
                                    <div class="">
                                        <button class="btn btn-success" type="submit">Search</button>
                                    </div>
                                </div>
                            </div>
                        </form>
                    </div>
                </div>
            </div>
            @if ($result)
                <div class="col-md-12">
                    <div class="card">
                        <div class="card-header row align-items-center">
                            <div class="col">
                                <h4 class="card-title mb-0">Sale History</h4>
                            </div>
                        </div>
                        @php
                            $total = 0;
                        @endphp

                        <div class="card-body">
                            <div class="table-responsive">
                                <table id="basic-datatables" class="display table table-striped table-hover">
                                    <thead>
                                        <tr>
                                            <th>#</th>
                                            <th>Name</th>
                                            <th>Category</th>
                                            <th>Date</th>
                                            <th>Quantity</th>
                                            <th>Price</th>
                                            <th>Total</th>
                                        </tr>
                                    </thead>
                                    <tfoot>
                                        <tr>
                                            <th>#</th>
                                            <th>Name</th>
                                            <th>Category</th>
                                            <th>Date</th>
                                            <th>Quantity</th>
                                            <th>Price</th>
                                            <th>Total</th>
                                        </tr>
                                    </tfoot>
                                    <tbody>
                                        @foreach ($result as $key => $row)
                                            @php
                                                $total += $row->total;
                                            @endphp

                                            <tr style="bg-color:red">
                                                <td>{{ ++$key }}</td>
                                                <td>{{ $row->name . ' (' . $row->code . ')' }}</td>
                                                <td>{{ $row->category_name }}</td>
                                                <td>{{ date('d/m/Y', strtotime($row->date)) }}</td>
                                                <td>
                                                    {{ $row->loose == 'true' ? $row->quantity / $row->qty . '(Loose)' : $row->quantity }}
                                                </td>
                                                <td>{{ $row->price }}</td>
                                                <td>{{ $row->total }}</td>
                                            </tr>
                                        @endforeach
                                    </tbody>
                                </table>
                            </div>
                        </div>
                        <div class="card-header row align-items-center">
                            <div class="col">
                                <h4 class="card-title mb-0">Total Sale Amount:<span class="text-success">
                                        {{ $total }}<span></h4>
                            </div>
                        </div>

                    </div>
                </div>
            @endif
        </div>
    </div>
@endsection
