<?php

use App\Http\Controllers\DashboardController;
use App\Http\Controllers\MedicineController;
use App\Http\Controllers\PurchaseController;
use App\Http\Controllers\ReportController;
use App\Http\Controllers\SaleController;
use App\Http\Controllers\StockController;
use App\Http\Controllers\UserController;
use App\Http\Middleware\AuthenticationMiddleware;
use Illuminate\Support\Facades\Route;

Route::get('/', function () {
    return view('login');
});

Route::post('/check/user', [UserController::class, 'index'])->name('check.user');
Route::middleware([AuthenticationMiddleware::class])->group(function () {


    Route::get('/dashboard', [DashboardController::class, 'index'])->name('dashboard');
    Route::get('/monthly-sale', [DashboardController::class, 'getMonthlySale'])->name('monthly.sale');

// medicine-category
    Route::get('/category', [MedicineController::class, 'category'])->name('category');
    Route::get('/category-create', [MedicineController::class, 'categoryCreate'])->name('category.create');
    Route::post('/category-store', [MedicineController::class, 'categoryStore'])->name('category.store');
    Route::get('/category-edit/{id}', [MedicineController::class, 'categoryEdit'])->name('category.edit');
    Route::post('/category-update/{id}', [MedicineController::class, 'categoryUpdate'])->name('category.update');
    Route::get('/category-delete/{id}', [MedicineController::class, 'categoryDestroy'])->name('category.delete');
    Route::post('/get-category-by-medicine', [MedicineController::class, 'getMedicineByCategory'])->name('category.medicine');

// medicine
    Route::get('/medicine', [MedicineController::class, 'medicine'])->name('medicine');
    Route::get('/medicine-import', [MedicineController::class, 'medicineImport'])->name('medicine.import');
    Route::get('/medicine-create', [MedicineController::class, 'medicineCreate'])->name('medicine.create');
    Route::post('/medicine-import-store', [MedicineController::class, 'medicineImportStore'])->name('medicine.import.store');
    Route::post('/medicine-store', [MedicineController::class, 'medicineStore'])->name('medicine.store');
    Route::get('/medicine-edit/{id}', [MedicineController::class, 'medicineEdit'])->name('medicine.edit');
    Route::post('/medicine-update/{id}', [MedicineController::class, 'medicineUpdate'])->name('medicine.update');
    Route::get('/medicine-delete/{id}', [MedicineController::class, 'medicineDestroy'])->name('medicine.delete');
    Route::post('/medicine-stock', [MedicineController::class, 'medicineStock'])->name('medicine.stock');

    //purchase
    Route::get('/purchase', [PurchaseController::class, 'purchase'])->name('purchase');
    Route::post('/purchase-store', [PurchaseController::class, 'store'])->name('purchase.store');
    Route::get('/add-expense', [PurchaseController::class, 'addExpense'])->name('add.expense');
    Route::post('/expense-store', [PurchaseController::class, 'expenseStore'])->name('expense.store');
    Route::get('/purchase-report', [PurchaseController::class, 'purchaseReport'])->name('purchase.report');
    Route::post('/purchase-report-result', [PurchaseController::class, 'purchaseReportSearch'])->name('purchase.search.report');
    Route::get('/purchase-medicine-report', [PurchaseController::class, 'purchaseMedicineReport'])->name('purchase.medicine.report');
    Route::post('/purchase-medicine-result', [PurchaseController::class, 'purchaseMedicineSearch'])->name('purchase.medicine.result');

//stock
    Route::get('/stock', [StockController::class, 'index'])->name('stock');
    Route::post('/stock-report', [StockController::class, 'stockReport'])->name('stock.report');
    Route::get('/alert-report', [StockController::class, 'alertReport'])->name('alert.report');
    Route::post('/alert-report-result', [StockController::class, 'alertReportResult'])->name('alert.report.result');

    // sale

    Route::get('/sale', [SaleController::class, 'index'])->name('sale');
    Route::post('/sale-store', [SaleController::class, 'store'])->name('sale.store');
    Route::get('/personal-sale', [SaleController::class, 'personalSale'])->name('personal.sale');
    Route::post('/personal-sale-store', [SaleController::class, 'personalSaleStore'])->name('personal.sale.store');
    Route::get('/sale-report', [SaleController::class, 'saleReport'])->name('sale.report');
    Route::post('/sale-search-report', [SaleController::class, 'saleSearchReport'])->name('sale.search.report');

    //report
    Route::get('/revenue', [ReportController::class, 'revenue'])->name('revenue');
    Route::post('/revenue-report', [ReportController::class, 'revenueReport'])->name('revenue.report');
    Route::get('/daily-report', [ReportController::class, 'dailyReport'])->name('daily.report');
    Route::get('/stock-value-report', [ReportController::class, 'stockValueReport'])->name('stock.value.report');

    Route::get('/logout', [UserController::class, 'logout'])->name('user.logout');
});
